/**
* Creates a SmartVideoPlayer that...
* - Plays inline/autoplay video, since option "mode" is left out, remaining at the default of SmartVideoPlayer.mode.INLINE_AUTOPLAY.
*
* - Is attached to div with ID "smartPlayerContainer". We use a reference to the div instead.
*
* - Loads the appropriate video depending on device (mp4, webm, or ogv). OGV is required for inline autoplay on 
*	 devices such as iPhone that do not natively support inline autoplay.
*
* - Immediately plays the video, since option "autoplay" is left out, remaining at the default of true.
*
* - Shows a poster image once the video is finished.
*/
//ADTECH.require(['SmartVideoPlayer','TwitterAPI','RemoteRequest','VPAID','EngadgetAPI'], function(SmartVideoPlayer,twitter,rem,VPAID,EngadgetAPI) {
// ADTECH.require(['SmartVideoPlayer'], function(SmartVideoPlayer) {
//     var player = ADTECH.modules.SmartVideoPlayer.createPlayer({
// 	    container: 'smartPlayerContainer',
// 		    width: 300,
// 			height: 168,
// 			autoplay:false,
// 			name:'video',
//              id: 'player',
// 			src: {
// 			    mp4: 'video.mp4',
// 				webm: 'video.webm',
// 				ogv: 'video.ogv'
// 			},
// 			    poster: 'video.jpg'
// 			});
// 	ADTECH.addEventListener("inScrollPosition", function(e){
// 	    player.play();
// 	});
// 	ADTECH.addEventListener("outOffScrollPosition", function(e){
// 	    player.pause();
// 	});
// 	ADTECH.registerVideoPlayer({},'video');
// 	});
  


  ADTECH.addEventListener('updatePercentage', function(e) {
     console.log(e.perc/100);

  });

	ADTECH.ready(function(){


		clk.onclick = function(){
			ADTECH.click('main','http://www.adsolutions.com');
		};
	});
